Bug 15365 - View does't folow cursor - when writing
View does't folow cursor - when writing
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
PC Windows ME/2000
: P4 (vote)
: 6.x
Assigned To: ivan
ivan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-11 14:13 UTC by Lukas Hasik
Modified: 2008-12-23 08:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2001-09-11 14:13:20 UTC
Move viewport from cursor (always at end) to beginning of text (at least cursor 
is out of viewport) and type some text.
Viewport doesn't move to cursor (as it should do, it's standart behaviour e.g. 
Editor) and new text is added at end. You have to move viewport to end to see 
typed text.
Comment 1 akemr 2001-09-11 15:19:21 UTC
Ivan, this would be better IMHO to solve this problem on term side.

I can only call possiblyNormalize(term.getCursorCoord) in 
TermInputListener.sendChars, but it doesn't always shift
scrollbar and there is similar situation is with output.

I also decreased the priority.
Comment 2 ivan 2001-09-12 01:28:30 UTC
This is analogous to the xterm -sk/+sk option.
I've been aware of it's lack but felt that it was a minor feature.
Since you asked I"ll attempt to add it.

There is also the analogous xterm -si/+sk options which cause
a scroll on any output.
Comment 3 rmatous 2001-09-12 14:01:14 UTC
Ivan fixed it in term_aug2001. Merged to trunk from term_aug2001. 
Comment 4 Lukas Hasik 2001-09-17 09:43:52 UTC
build 200109130100
Comment 5 Quality Engineering 2003-07-01 16:29:55 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2008-12-23 08:19:18 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo